Imagick::gammaImage
Imagick::getCompression
The Imagick class
PHP Manual

# Imagick::gaussianBlurImage

(No version information available, might be only in CVS)

Imagick::gaussianBlurImage — Blurs an image

### Description

bool Imagick::gaussianBlurImage ( float `$radius` , float `$sigma` [, int `$channel` ] )
Warning

This function is currently not documented; only its argument list is available.

Blurs an image. We convolve the image with a Gaussian operator of the given radius and standard deviation (sigma). For reasonable results, the radius should be larger than sigma. Use a radius of 0 and selects a suitable radius for you.

### Parameters

`radius`

  The radius of the Gaussian, in pixels, not counting the center pixel.

`sigma`

  The standard deviation of the Gaussian, in pixels.

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to Imagick::CHANNEL_ALL. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.

Imagick::gammaImage
Imagick::getCompression
The Imagick class
PHP Manual